/* Distributed Checksum Clearinghouse
 *
 * --C-LICENSE--
 * $Revision: 1.17 $
 */

#include "dcc_defs.h"


/* things are so sick that we must bail out */
void DCC_NORET
dcc_logbad(int ex_code, const char *p, ...)
{
	static u_char looping = 0;
	va_list args;

	if (*p >= ' ') {
		va_start(args, p);
		dcc_vfatal_msg(p, args);
		va_end(args);
	}

	if (ex_code == EX_SOFTWARE)
		abort();
	if (looping++)
		abort();

	exit(ex_code);
}
